Start typing to search.

API Reference

Update a metrics config

View Markdown
PUT /api/metrics/config/{id}

Update a metrics config

Operation IDupdateMetricsConfig

Authentication

  • BearerAuth·http bearer·API key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.

Path parameters

idintegerrequired

Resource ID

Request body

This request body is required.

Content typeapplication/json

requestobject
3 properties
backendstring
configobject

Additional properties are allowed.

enabledboolean

Success response body

200Config updated

Config updated

Content typeapplication/json

responseobject

Error responses

404Resource not found

Resource not found

Content typeapplication/json

responseobject
2 properties
errorstring
messagestring
Example response
{
  "error": "NOT_FOUND",
  "message": "Resource not found"
}